$ErrorActionPreference = 'Stop';

$packageName= 'mezmo-agent'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'mezmo-agent.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url64bit      = 'https://logdna-agent-build-bin.s3.amazonaws.com/3.7.2/x86_64-pc-windows-msvc/signed/mezmo-agent.3.7.2-build70.msi'
  #file         = $fileLocation

  softwareName  = 'Mezmo Agent'

  checksum      = '8b9d1a68200f6a5749095779f4ae121d4a2eb61e1d5e0d3a5cb9360e2416a5bb'
  checksumType  = 'sha256'

  silentArgs    = "/quiet" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
